Name:           python-hyperframe
Version:        6.0.1
Release:        2
Summary:        HTTP/2 framing layer for Python

License:        MIT
URL:            https://github.com/python-hyper/hyperframe
Source0:        https://github.com/python-hyper/hyperframe/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel python3dist(setuptools) python3dist(pytest)

%{?python_enable_dependency_generator}

%description
This library contains the HTTP/2 framing code used in the hyper project.It provides a
pure-python codebase that is capable of decoding a binary stream into HTTP/2 frames.

%package -n     python3-hyperframe
Summary:        HTTP/2 framing layer for Python
%{?python_provide:%python_provide python3-hyperframe}

%description -n python3-hyperframe
This library contains the HTTP/2 framing code used in the hyper project.It provides a
pure-python codebase that is capable of decoding a binary stream into HTTP/2 frames.

%prep
%autosetup -n hyperframe-%{version}
rm -rf hyperframe.egg-info

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} -m pytest

%files -n python3-hyperframe
%doc README.rst LICENSE
%{python3_sitelib}/hyperframe
%{python3_sitelib}/hyperframe-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 01 2022 xigaoxinyan <xigaoxinyan@huawei.com> - 6.0.1-2
- Fix build error caused by py3.10+ wildcard

* Wed Jul 28 2021 liyanan <liyanan32@huawei.com> - 6.0.1-1
- update to 6.0.1

* Mon Nov 09 2020 leiju <leiju4@huawei.com> - 5.2.0-3
- Remove python2 subpackage

* Tue Mar 10 2020 zhangtao <zhangtao221@huawei.com> - 5.2.0-2
- Package update

* Fri Mar 6 2020 zhangtao <zhangtao221@huawei.com> - 5.1.0-4
- Package init
